/*
 * This file is subject to the terms of the SunshineTech License. If a copy of
 * the license was not distributed with this file, you can obtain one at:
 *
 *              ./LICENSE
 */


#ifndef APP_CONFIG_H
#define APP_CONFIG_H

//pwm

#define NRF_LOG_BACKEND_RTT_ENABLED     1 // enable rtt
#define NRF_LOG_BACKEND_UART_ENABLED    0 // disable uart
#define NRF_LOG_BACKEND_RTT_TEMP_BUFFER_SIZE 128
#define NRF_LOG_DEFERRED                0 // flush logs immediately
#define NRF_LOG_ALLOW_OVERFLOW          0 // no overflow
#define NRF_LOG_USES_COLORS             1
#define NRF_LOG_COLOR_DEFAULT           3 // Green
#define NRF_LOG_USES_TIMESTAMP          1
#define NRF_LOG_STR_PUSH_BUFFER_SIZE    128
#define NRF_LOG_BUFSIZE                 1024
#define SEGGER_RTT_CONFIG_DEFAULT_MODE  1 // block until processed
#define NRF_FPRINTF_FLAG_AUTOMATIC_CR_ON_LF_ENABLED 0
#define NRF_LOG_ENABLED 1
#define NRF_FPRINTF_FLAG_AUTOMATIC_CR_ON_LF_ENABLED 0
#define SEGGER_RTT_CONFIG_BUFFER_SIZE_UP 512
#define SEGGER_RTT_CONFIG_MAX_NUM_UP_BUFFERS 2
#define SEGGER_RTT_CONFIG_BUFFER_SIZE_DOWN 16
#define SEGGER_RTT_CONFIG_MAX_NUM_DOWN_BUFFERS 2
#define NRF_LOG_BACKEND_RTT_TX_RETRY_CNT 3
#define NRF_LOG_BACKEND_RTT_TX_RETRY_DELAY_MS 1
#define NRF_LOG_BACKEND_RTT_ENABLED 1
#define ZIGBEE_RX_QUEUE_LENGTH 17
#define CONFIG_ZBOSS_RESET_ON_ASSERT 1
#define CONFIG_ZBOSS_HALT_ON_ASSERT 0
#define NRFX_QDEC_ENABLED 1
#define NRFX_TWIM_ENABLED 0
#define NRFX_TWIM0_ENABLED 0
#define NRFX_TWIM1_ENABLED 0
#define NRFX_TWIM_DEFAULT_CONFIG_FREQUENCY 26738688
#define NRFX_TWIM_DEFAULT_CONFIG_HOLD_BUS_UNINIT 0
#define NRFX_TWIM_DEFAULT_CONFIG_IRQ_PRIORITY 6
#define NRFX_TWIM_CONFIG_LOG_ENABLED 0
#define NRFX_TWIM_CONFIG_LOG_LEVEL 3
#define NRFX_TWIM_CONFIG_INFO_COLOR 0
#define NRFX_TWIM_CONFIG_DEBUG_COLOR 0
#define NRFX_TWI_ENABLED 1
#define NRFX_TWI0_ENABLED 1
#define NRFX_TWI1_ENABLED 1
#define NRFX_TWI_DEFAULT_CONFIG_FREQUENCY 26738688
#define NRFX_TWI_DEFAULT_CONFIG_HOLD_BUS_UNINIT 0
#define NRFX_TWI_DEFAULT_CONFIG_IRQ_PRIORITY 6
#define NRFX_TWI_CONFIG_LOG_ENABLED 0
#define NRFX_TWI_CONFIG_LOG_LEVEL 3
#define NRFX_TWI_CONFIG_INFO_COLOR 0
#define NRFX_TWI_CONFIG_DEBUG_COLOR 0
#define QDEC_CONFIG_LOG_ENABLED 0
#define QDEC_CONFIG_LOG_LEVEL 3
#define QDEC_CONFIG_INFO_COLOR 0
#define QDEC_CONFIG_DEBUG_COLOR 0
#define NRFX_QDEC_CONFIG_REPORTPER 0
#define NRFX_QDEC_CONFIG_IRQ_PRIORITY 6
#define NRFX_QDEC_CONFIG_SAMPLE_INTEN 0
#define NRFX_QDEC_CONFIG_DBFEN 0
#define NRFX_QDEC_CONFIG_PIO_A 31
#define NRFX_QDEC_CONFIG_PIO_B 31
#define NRFX_QDEC_CONFIG_LEDPRE 511
#define NRFX_QDEC_CONFIG_SAMPLEPER 7
#define NRFX_QDEC_CONFIG_LEDPOL 1
#define NRFX_QDEC_CONFIG_PIO_LED 31

#define NRF_SECTION_ITER_ENABLED                1
#define ZIGBEE_RX_QUEUE_LENGTH                  17
#define ZIGBEE_TRACE_LEVEL                      0
#define NRF_LOG_DEFAULT_LEVEL                   3
#define NRFX_TIMER1_ENABLED                     1
#define TIMER1_ENABLED                          1
#define PPI_ENABLED                             1
#define NRFX_PPI_ENABLED                        1
#define NRFX_PPI_CONFIG_LOG_ENABLED             0
#define NRFX_PPI_CONFIG_LOG_LEVEL               3
#define NRFX_PPI_CONFIG_INFO_COLOR              0
#define NRFX_PPI_CONFIG_DEBUG_COLOR             0
#define PPI_CONFIG_LOG_ENABLED                  0
#define PPI_CONFIG_LOG_LEVEL                    3
#define PPI_CONFIG_INFO_COLOR                   0
#define PPI_CONFIG_DEBUG_COLOR                  0
#define NRFX_TIMER2_ENABLED                     1
#define TIMER2_ENABLED                          1
#define NRFX_TIMER3_ENABLED                     1
#define TIMER3_ENABLED                          1
#define NRFX_TIMER4_ENABLED                     1
#define TIMER4_ENABLED                          1
#define NRFX_TIMER0_ENABLED                     1
#define TIMER0_ENABLED                          1
#define ZIGBEE_TIMER_INSTANCE_NO                3
#define LOW_POWER_PWM_ENABLED                   0

#define NRFX_PWM_ENABLED                        1
#define NRFX_PWM0_ENABLED                       1
#define NRFX_PWM1_ENABLED                       1
#define NRFX_PWM2_ENABLED                       1
#define NRFX_PWM3_ENABLED                       1
#define NRFX_PWM_CONFIG_LOG_ENABLED             0
#define NRFX_PWM_CONFIG_LOG_LEVEL               3
#define NRFX_PWM_CONFIG_INFO_COLOR              0
#define NRFX_PWM_CONFIG_DEBUG_COLOR             0
#define PWM_ENABLED                             1
#define PWM0_ENABLED                            1
#define PWM1_ENABLED                            1
#define PWM2_ENABLED                            1
#define PWM3_ENABLED                            1
#define PWM_CONFIG_LOG_ENABLED                  0
#define PWM_CONFIG_LOG_LEVEL                    3
#define PWM_CONFIG_INFO_COLOR                   0
#define PWM_CONFIG_DEBUG_COLOR                  0

#define NRFX_SAADC_ENABLED 1
#define NRFX_SAADC_CONFIG_RESOLUTION 1
#define NRFX_SAADC_CONFIG_OVERSAMPLE 0
#define NRFX_SAADC_CONFIG_LP_MODE 0
#define NRFX_SAADC_CONFIG_IRQ_PRIORITY 6
#define NRFX_SAADC_CONFIG_LOG_ENABLED 0
#define NRFX_SAADC_CONFIG_LOG_LEVEL 3
#define NRFX_SAADC_CONFIG_INFO_COLOR 0
#define NRFX_SAADC_CONFIG_DEBUG_COLOR 0
#define SAADC_ENABLED 1
#define SAADC_CONFIG_RESOLUTION 1
#define SAADC_CONFIG_OVERSAMPLE 0
#define SAADC_CONFIG_LP_MODE 0
#define SAADC_CONFIG_IRQ_PRIORITY 6
#define SAADC_CONFIG_LOG_ENABLED 0
#define SAADC_CONFIG_LOG_LEVEL 3
#define SAADC_CONFIG_INFO_COLOR 0
#define SAADC_CONFIG_DEBUG_COLOR 0

#define CRC16_ENABLED 1  // CRC16 calculation routines

#define ZIGBEE_NVRAM_PAGE_SIZE 16384
#define ZIGBEE_NVRAM_PAGE_COUNT 2
#define ZIGBEE_NVRAM_CONFIG_PAGE_SIZE 4096
#define ZIGBEE_NVRAM_CONFIG_PAGE_COUNT 1
#define FDS_ENABLED                1     // Flash data storage module
#define FDS_VIRTUAL_PAGES          2    // Number of virtual flash pages to use.
#define FDS_VIRTUAL_PAGE_SIZE      1024  // The size of a virtual flash page.
#define FDS_VIRTUAL_PAGES_RESERVED ((ZIGBEE_NVRAM_PAGE_SIZE * ZIGBEE_NVRAM_PAGE_COUNT + ZIGBEE_NVRAM_CONFIG_PAGE_SIZE * ZIGBEE_NVRAM_CONFIG_PAGE_COUNT) / (FDS_VIRTUAL_PAGE_SIZE * 4))
#define FDS_BACKEND                1  // FDS flash backend. NRF_FSTORAGE_NVMC
#define FDS_OP_QUEUE_SIZE          4  // Size of the internal queue.
#define FDS_CRC_CHECK_ON_READ      1  //  Enable CRC checks.
#define FDS_CRC_CHECK_ON_WRITE     0  // Perform a CRC check on newly written records.
#define FDS_MAX_USERS              4  // Maximum number of callbacks that can be registered.

#define NRF_FSTORAGE_ENABLED              1     // nrf_fstorage - Flash abstraction library
#define NRF_FSTORAGE_PARAM_CHECK_DISABLED 0     // Disable user input validation
// #define NRF_FSTORAGE_SD_QUEUE_SIZE        4     // Implementation using the SoftDevice
// #define NRF_FSTORAGE_SD_MAX_RETRIES       8     // Maximum number of attempts at executing an operation when the SoftDevice is busy
// #define NRF_FSTORAGE_SD_MAX_WRITE_SIZE    4096  // Maximum number of bytes to be written to flash in a single operation


#define NRFX_WDT_ENABLED 1
#define NRFX_WDT_CONFIG_BEHAVIOUR 1
#define NRFX_WDT_CONFIG_RELOAD_VALUE 2000
#define NRFX_WDT_CONFIG_NO_IRQ 0
#define NRFX_WDT_CONFIG_IRQ_PRIORITY 6
#define NRFX_WDT_CONFIG_LOG_ENABLED 0
#define NRFX_WDT_CONFIG_LOG_LEVEL 3
#define NRFX_WDT_CONFIG_INFO_COLOR 0
#define NRFX_WDT_CONFIG_DEBUG_COLOR 0

#define WDT_ENABLED 1
#define WDT_CONFIG_BEHAVIOUR 1
#define WDT_CONFIG_RELOAD_VALUE 2000
#define WDT_CONFIG_IRQ_PRIORITY 6
#endif  // !APP_CONFIG_H
